<?php

namespace App\Providers;

use App\Models\Service;
use App\Models\Services;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        // Share the services with all views
        View::composer('layouts.footer', function ($view) {
            $services = Services::all(); // Get all services from the database
            $view->with('services', $services); // Share services with the footer view
        });
    }
}
