@extends('backend.layouts.app')

@section('content')

<div class="container p-4 mx-auto">

    <h1 class="mb-4 h2 fw-bold">Edit Application Details</h1>

    <form action="{{ route('applications.update', $application->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="card">
            <div class="card-body">
                <h4>Personal Information</h4>
                <div class="mb-3">
                    <label for="first_name" class="form-label"><strong>First Name:</strong></label>
                    <input type="text" name="first_name" id="first_name" class="form-control" value="{{ $application->first_name }}">
                </div>
                <div class="mb-3">
                    <label for="last_name" class="form-label"><strong>Last Name:</strong></label>
                    <input type="text" name="last_name" id="last_name" class="form-control" value="{{ $application->last_name }}">
                </div>
                <div class="mb-3">
                    <label for="middle_name" class="form-label"><strong>Middle Name:</strong></label>
                    <input type="text" name="middle_name" id="middle_name" class="form-control" value="{{ $application->middle_name }}">
                </div>
                <div class="mb-3">
                    <label for="suffix" class="form-label"><strong>Suffix:</strong></label>
                    <input type="text" name="suffix" id="suffix" class="form-control" value="{{ $application->suffix }}">
                </div>
                <div class="mb-3">
                    <label for="sex" class="form-label"><strong>Sex:</strong></label>
                    <input type="text" name="sex" id="sex" class="form-control" value="{{ $application->sex }}">
                </div>
                <div class="mb-3">
                    <label for="religion" class="form-label"><strong>Religion:</strong></label>
                    <input type="text" name="religion" id="religion" class="form-control" value="{{ $application->religion }}">
                </div>
                <div class="mb-3">
                    <label for="birth_date" class="form-label"><strong>Birth Date:</strong></label>
                    <input type="date" name="birth_date" id="birth_date" class="form-control" value="{{ $application->birth_date }}">
                </div>
                <div class="mb-3">
                    <label for="birth_place" class="form-label"><strong>Birth Place:</strong></label>
                    <input type="text" name="birth_place" id="birth_place" class="form-control" value="{{ $application->birth_place }}">
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label"><strong>Email:</strong></label>
                    <input type="email" name="email" id="email" class="form-control" value="{{ $application->email }}">
                </div>
                <div class="mb-3">
                    <label for="phone_no" class="form-label"><strong>Phone Number:</strong></label>
                    <input type="text" name="phone_no" id="phone_no" class="form-control" value="{{ $application->phone_no }}">
                </div>
                <div class="mb-3">
                    <label for="home_address" class="form-label"><strong>Home Address:</strong></label>
                    <input type="text" name="home_address" id="home_address" class="form-control" value="{{ $application->home_address }}">
                </div>
                <!-- Add similar input fields for other attributes -->

                <h4>Work Experiences</h4>
                <div class="row">
                    @foreach ($application->workExperiences as $index => $experience)
                    <div class="col-6">
                        <div class="mb-3">
                            <label for="work_experiences[{{ $index }}][id]" class="form-label"><strong>Work Experience ID (Hidden):</strong></label>
                            <input type="hidden" name="work_experiences[{{ $index }}][id]" value="{{ $experience->id }}">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[{{ $index }}][company_name]" class="form-label"><strong>Company Name:</strong></label>
                            <input type="text" name="work_experiences[{{ $index }}][company_name]" class="form-control" value="{{ $experience->company_name }}">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[{{ $index }}][job_title]" class="form-label"><strong>Job Title:</strong></label>
                            <input type="text" name="work_experiences[{{ $index }}][job_title]" class="form-control" value="{{ $experience->job_title }}">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[{{ $index }}][start_date]" class="form-label"><strong>Start Date:</strong></label>
                            <input type="date" name="work_experiences[{{ $index }}][start_date]" class="form-control" value="{{ $experience->start_date }}">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[{{ $index }}][end_date]" class="form-label"><strong>End Date:</strong></label>
                            <input type="date" name="work_experiences[{{ $index }}][end_date]" class="form-control" value="{{ $experience->end_date }}">
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>

        <button type="submit" class="btn btn-success mt-3">Update Application</button>
    </form>
</div>

@endsection