@extends('backend.layouts.app')

@section('content')

<div class="container pt-5">
    <div class="card p-4 shadow">
        <h1 class="mb-4 text-center">Edit Service</h1>

        <!-- Display Validation Errors -->
        @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        @endif

        <form action="{{ route('services.update', $services->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')

            <div class="mb-3">
                <label for="title" class="form-label">Title</label>
                <input
                    type="text"
                    name="title"
                    id="title"
                    class="form-control @error('title') is-invalid @enderror"
                    value="{{ old('title', $services->title) }}"
                    required>
                @error('title')
                <div class="invalid-feedback">{{ $message }}</div>
                @enderror
            </div>
            <div class="mb-3">
                <label for="subtitle" class="form-label">Subtitle</label>
                <input
                    type="text"
                    name="subtitle"
                    id="subtitle"
                    class="form-control @error('subtitle') is-invalid @enderror"
                    value="{{ old('subtitle', $services->subtitle) }}"
                    required>
                @error('subtitle')
                <div class="invalid-feedback">{{ $message }}</div>
                @enderror
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">Description</label>
                <textarea
                    name="description"
                    id="description"
                    class="form-control @error('description') is-invalid @enderror">{{ old('description', $services->description) }}</textarea>
                @error('description')
                <div class="invalid-feedback">{{ $message }}</div>
                @enderror
            </div>

            <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>
            <script>
                CKEDITOR.replace('description');
            </script>

            <div class="mb-3">
                <label for="image" class="form-label">Image</label>
                <input
                    type="file"
                    name="image"
                    id="image"
                    class="form-control @error('image') is-invalid @enderror">
                @error('image')
                <div class="invalid-feedback">{{ $message }}</div>
                @enderror

                @if($services->image)
                <img src="{{ asset($services->image) }}" alt="Current Banner Image" class="img-thumbnail mt-2" style="width: 8rem; height: 8rem;">
                @endif
            </div>

            <button type="submit" class="btn btn-primary">Update Service</button>
        </form>
    </div>
</div>

@endsection