

<?php $__env->startSection('content'); ?>

<div class="container p-4 mx-auto">

    <h1 class="mb-4 h2 fw-bold">Edit Application Details</h1>

    <form action="<?php echo e(route('applications.update', $application->id)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <div class="card">
            <div class="card-body">
                <h4>Personal Information</h4>
                <div class="mb-3">
                    <label for="first_name" class="form-label"><strong>First Name:</strong></label>
                    <input type="text" name="first_name" id="first_name" class="form-control" value="<?php echo e($application->first_name); ?>">
                </div>
                <div class="mb-3">
                    <label for="last_name" class="form-label"><strong>Last Name:</strong></label>
                    <input type="text" name="last_name" id="last_name" class="form-control" value="<?php echo e($application->last_name); ?>">
                </div>
                <div class="mb-3">
                    <label for="middle_name" class="form-label"><strong>Middle Name:</strong></label>
                    <input type="text" name="middle_name" id="middle_name" class="form-control" value="<?php echo e($application->middle_name); ?>">
                </div>
                <div class="mb-3">
                    <label for="suffix" class="form-label"><strong>Suffix:</strong></label>
                    <input type="text" name="suffix" id="suffix" class="form-control" value="<?php echo e($application->suffix); ?>">
                </div>
                <div class="mb-3">
                    <label for="sex" class="form-label"><strong>Sex:</strong></label>
                    <input type="text" name="sex" id="sex" class="form-control" value="<?php echo e($application->sex); ?>">
                </div>
                <div class="mb-3">
                    <label for="religion" class="form-label"><strong>Religion:</strong></label>
                    <input type="text" name="religion" id="religion" class="form-control" value="<?php echo e($application->religion); ?>">
                </div>
                <div class="mb-3">
                    <label for="birth_date" class="form-label"><strong>Birth Date:</strong></label>
                    <input type="date" name="birth_date" id="birth_date" class="form-control" value="<?php echo e($application->birth_date); ?>">
                </div>
                <div class="mb-3">
                    <label for="birth_place" class="form-label"><strong>Birth Place:</strong></label>
                    <input type="text" name="birth_place" id="birth_place" class="form-control" value="<?php echo e($application->birth_place); ?>">
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label"><strong>Email:</strong></label>
                    <input type="email" name="email" id="email" class="form-control" value="<?php echo e($application->email); ?>">
                </div>
                <div class="mb-3">
                    <label for="phone_no" class="form-label"><strong>Phone Number:</strong></label>
                    <input type="text" name="phone_no" id="phone_no" class="form-control" value="<?php echo e($application->phone_no); ?>">
                </div>
                <div class="mb-3">
                    <label for="home_address" class="form-label"><strong>Home Address:</strong></label>
                    <input type="text" name="home_address" id="home_address" class="form-control" value="<?php echo e($application->home_address); ?>">
                </div>
                <!-- Add similar input fields for other attributes -->

                <h4>Work Experiences</h4>
                <div class="row">
                    <?php $__currentLoopData = $application->workExperiences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $experience): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-6">
                        <div class="mb-3">
                            <label for="work_experiences[<?php echo e($index); ?>][id]" class="form-label"><strong>Work Experience ID (Hidden):</strong></label>
                            <input type="hidden" name="work_experiences[<?php echo e($index); ?>][id]" value="<?php echo e($experience->id); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[<?php echo e($index); ?>][company_name]" class="form-label"><strong>Company Name:</strong></label>
                            <input type="text" name="work_experiences[<?php echo e($index); ?>][company_name]" class="form-control" value="<?php echo e($experience->company_name); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[<?php echo e($index); ?>][job_title]" class="form-label"><strong>Job Title:</strong></label>
                            <input type="text" name="work_experiences[<?php echo e($index); ?>][job_title]" class="form-control" value="<?php echo e($experience->job_title); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[<?php echo e($index); ?>][start_date]" class="form-label"><strong>Start Date:</strong></label>
                            <input type="date" name="work_experiences[<?php echo e($index); ?>][start_date]" class="form-control" value="<?php echo e($experience->start_date); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="work_experiences[<?php echo e($index); ?>][end_date]" class="form-label"><strong>End Date:</strong></label>
                            <input type="date" name="work_experiences[<?php echo e($index); ?>][end_date]" class="form-control" value="<?php echo e($experience->end_date); ?>">
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>

        <button type="submit" class="btn btn-success mt-3">Update Application</button>
    </form>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\betacom\resources\views/backend/modules/application/edit.blade.php ENDPATH**/ ?>